!!======================================================================

  SUBROUTINE init_uvz(uz,vz)

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE init_uvz  ***
!&E
!&E ** Purpose : initialize total velocities :
!&E              u : zonal component
!&E              v : meridional component
!&E
!&E ** Description :
!&E
!&E ** Called by : main
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays :
!&E
!&E ** Modified variables : uz, vz, wz
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       ! 2004-08-17  last modifications
!&E
!&E---------------------------------------------------------------------
!! * Modules used
   USE parameters
   USE comvars3d

   IMPLICIT NONE

!! * Arguments
   REAL(kind=rsh),DIMENSION(kmax,liminm2:limaxp2,ljminm2:ljmaxp2),INTENT(out) :: uz,vz

!! * Local declarations
   INTEGER :: j
!!----------------------------------------------------------------------
!! * Executable part

!$OMP parallel do schedule(static) private(j)
   DO j=ljminm2,ljmaxp2
     uz(:,:,j)=0.0_rsh
     vz(:,:,j)=0.0_rsh
   END DO
!$OMP end parallel do

   wz(:,:,:)=0.0_rsh

  END SUBROUTINE init_uvz
